diff --git a/src/backend/replication/slot.c b/src/backend/replication/slot.c
index 2fb7c17..79b9331 100644
--- a/src/backend/replication/slot.c
+++ b/src/backend/replication/slot.c
@@ -274,10 +274,12 @@ ReplicationSlotCreate(const char *name, bool db_specific,
 	Assert(slot->active_pid == 0);
 	slot->data.persistency = persistency;
 	slot->data.xmin = InvalidTransactionId;
+	slot->data.catalog_xmin = InvalidTransactionId;
 	slot->effective_xmin = InvalidTransactionId;
 	StrNCpy(NameStr(slot->data.name), name, NAMEDATALEN);
 	slot->data.database = db_specific ? MyDatabaseId : InvalidOid;
 	slot->data.restart_lsn = InvalidXLogRecPtr;
+	slot->data.confirmed_flush = InvalidXLogRecPtr;
 
 	/*
 	 * Create the slot on disk.  We haven't actually marked the slot allocated
